Ключевое слово в защите информации
КЛЮЧЕВОЕ СЛОВО
в защите информации
Получить ГОСТ TLS-сертификат для домена (SSL-сертификат)
Добро пожаловать, Гость! Чтобы использовать все возможности Вход или Регистрация.

Уведомление

Icon
Error

2 Страницы<12
Опции
К последнему сообщению К первому непрочитанному
Offline EgorKenk  
#11 Оставлено : 25 августа 2023 г. 8:52:52(UTC)
EgorKenk

Статус: Участник

Группы: Участники
Зарегистрирован: 25.08.2023(UTC)
Сообщений: 21
Российская Федерация
Откуда: Ставрополь

Сказал(а) «Спасибо»: 4 раз
Поблагодарили: 1 раз в 1 постах
Цитата:
Автор: Санчир Момолдаев Перейти к цитате
Добрый день!
укажите версию пакетов csp и cades:
dpkg -l | grep cpro
rpm -qa | grep cpro

а также уточните вашу ОС


Версия csp - КриптоПро CSP 5.0 для Linux (x64, deb)
Версия cades - 2.0.14892 для Unix-платформ от 29.06.2023
ОС - Debian 11

Результат команды "dpkg -l | grep cpro"
Код:
#12 0.392 ii  cprocsp-curl-64                        5.0.11455-5                    amd64        CryptoPro Curl shared library and binaris. Build 11455.
#12 0.392 ii  cprocsp-pki-cades-64                   2.0.14892-1                    amd64        CryptoPro ECP SDK
#12 0.392 ii  lsb-cprocsp-base                       5.0.11455-5                    all          CryptoPro CSP directories and scripts. Build 11455.
#12 0.392 ii  lsb-cprocsp-ca-certs                   5.0.11455-5                    all          CA certificates.  Build 11455.
#12 0.392 ii  lsb-cprocsp-capilite-64                5.0.11455-5                    amd64        CryptoAPI lite. Build 11455.
#12 0.392 ii  lsb-cprocsp-devel                      5.0.11455-5                    all          CryptoPro CSP static libraries and headers. Build 11455.
#12 0.392 ii  lsb-cprocsp-kc1-64                     5.0.11455-5                    amd64        CryptoPro CSP KC1. Build 11455.
#12 0.392 ii  lsb-cprocsp-rdr-64                     5.0.11455-5                    amd64        CryptoPro CSP readers. Build 11455.

Отредактировано пользователем 25 августа 2023 г. 9:04:43(UTC)  | Причина: Не указана

Offline EgorKenk  
#12 Оставлено : 25 августа 2023 г. 10:33:08(UTC)
EgorKenk

Статус: Участник

Группы: Участники
Зарегистрирован: 25.08.2023(UTC)
Сообщений: 21
Российская Федерация
Откуда: Ставрополь

Сказал(а) «Спасибо»: 4 раз
Поблагодарили: 1 раз в 1 постах
Хотя нет, извиняюсь, вот такая у меня ошибка

Код:
#13 0.394 patching file CMakeLists.txt
#13 0.535 -- The CXX compiler identification is GNU 10.2.1
#13 0.547 -- Detecting CXX compiler ABI info
#13 0.715 -- Detecting CXX compiler ABI info - done
#13 0.731 -- Check for working CXX compiler: /usr/bin/c++ - skipped
#13 0.731 -- Detecting CXX compile features
#13 0.732 -- Detecting CXX compile features - done
#13 1.032 -- Found Boost: /usr/lib/x86_64-linux-gnu/cmake/Boost-1.74.0/BoostConfig.cmake (found version "1.74.0")  
#13 1.033 -- Configuring done
#13 1.040 -- Generating done
#13 1.041 -- Build files have been written to: /pycades_0.1.44290/build
#13 1.244 Scanning dependencies of target pycades
#13 1.266 [  3%] Building CXX object CMakeFiles/pycades.dir/errormsg.cpp.o
#13 1.266 [  6%] Building CXX object CMakeFiles/pycades.dir/PyCades.cpp.o
#13 1.266 [  9%] Building CXX object CMakeFiles/pycades.dir/PyCadesAbout.cpp.o
#13 1.266 [ 12%] Building CXX object CMakeFiles/pycades.dir/PyCadesAlgorithm.cpp.o
#13 1.344 In file included from /opt/cprocsp/include/cpcsp/CSP_WinCrypt.h:25,
#13 1.344                  from /pycades_0.1.44290/errormsg.cpp:19:
#13 1.344 /opt/cprocsp/include/cpcsp/CSP_WinDef.h:484:152: note: ‘#pragma message: Your application will require at least CryptoPro CSP 4.0 R3. You can use LEGACY_FORMAT_MESSAGE_IMPL to support older versions.’
#13 1.344   484 | #      pragma message ("Your application will require at least CryptoPro CSP 4.0 R3. You can use LEGACY_FORMAT_MESSAGE_IMPL to support older versions.")
#13 1.344       |                                                                                                                                                        ^
#13 1.500 In file included from /opt/cprocsp/include/pki/asn1/Extension.h:29,
#13 1.500                  from /opt/cprocsp/include/pki/cppcades/CPPCadesCPCRL.h:5,
#13 1.500                  from /opt/cprocsp/include/pki/cppcades/CPPCadesCPStore.h:6,
#13 1.500                  from /opt/cprocsp/include/pki/cppcades/CPPCadesCPCertificate.h:11,
#13 1.500                  from /pycades_0.1.44290/PyCadesCertificate.h:5,
#13 1.500                  from /pycades_0.1.44290/PyCades.cpp:8:
#13 1.500 /opt/cprocsp/include/pki/asn1/Types.h:33:10: fatal error: asn1/Attribute.h: No such file or directory
#13 1.500    33 | #include <asn1/Attribute.h>
#13 1.500       |          ^~~~~~~~~~~~~~~~~~
#13 1.500 compilation terminated.
#13 1.502 make[2]: *** [CMakeFiles/pycades.dir/build.make:95: CMakeFiles/pycades.dir/PyCades.cpp.o] Error 1
#13 1.503 make[2]: *** Waiting for unfinished jobs....
#13 1.845 In file included from /pycades_0.1.44290/stdafx.h:28,
#13 1.845                  from /pycades_0.1.44290/PyCadesAbout.h:4,
#13 1.845                  from /pycades_0.1.44290/PyCadesAbout.cpp:1:
#13 1.845 /opt/cprocsp/include/cpcsp/CSP_WinDef.h:484:152: note: ‘#pragma message: Your application will require at least CryptoPro CSP 4.0 R3. You can use LEGACY_FORMAT_MESSAGE_IMPL to support older versions.’
#13 1.845   484 | #      pragma message ("Your application will require at least CryptoPro CSP 4.0 R3. You can use LEGACY_FORMAT_MESSAGE_IMPL to support older versions.")
#13 1.845       |                                                                                                                                                        ^
#13 1.860 In file included from /pycades_0.1.44290/stdafx.h:28,
#13 1.860                  from /pycades_0.1.44290/PyCadesAlgorithm.h:4,
#13 1.860                  from /pycades_0.1.44290/PyCadesAlgorithm.cpp:1:
#13 1.860 /opt/cprocsp/include/cpcsp/CSP_WinDef.h:484:152: note: ‘#pragma message: Your application will require at least CryptoPro CSP 4.0 R3. You can use LEGACY_FORMAT_MESSAGE_IMPL to support older versions.’
#13 1.860   484 | #      pragma message ("Your application will require at least CryptoPro CSP 4.0 R3. You can use LEGACY_FORMAT_MESSAGE_IMPL to support older versions.")
#13 1.860       |                                                                                                                                                        ^
#13 2.205 make[1]: *** [CMakeFiles/Makefile2:95: CMakeFiles/pycades.dir/all] Error 2
#13 2.205 make: *** [Makefile:103: all] Error 2
Offline nickm  
#13 Оставлено : 25 августа 2023 г. 10:52:30(UTC)
nickm

Статус: Активный участник

Группы: Участники
Зарегистрирован: 31.05.2016(UTC)
Сообщений: 1,954

Сказал(а) «Спасибо»: 480 раз
Поблагодарили: 332 раз в 313 постах
Автор: EgorKenk Перейти к цитате
Код:

#13 1.500 /opt/cprocsp/include/pki/asn1/Types.h:33:10: fatal error: asn1/Attribute.h: No such file or directory
#13 1.500    33 | #include <asn1/Attribute.h>


Автор: EgorKenk Перейти к цитате
Результат команды "dpkg -l | grep cpro"
Код:
#12 0.392 ii  lsb-cprocsp-devel                      5.0.11455-5                    all          CryptoPro CSP static libraries and headers. Build 11455.

Угу, нету в этом пакете запрашиваемого файла по указанному пути.

От использования более новых/ актуальных версий СКЗИ, что Вас удерживает?

Отредактировано пользователем 25 августа 2023 г. 11:02:48(UTC)  | Причина: Не указана

thanks 1 пользователь поблагодарил nickm за этот пост.
EgorKenk оставлено 25.08.2023(UTC)
Offline EgorKenk  
#14 Оставлено : 25 августа 2023 г. 10:56:07(UTC)
EgorKenk

Статус: Участник

Группы: Участники
Зарегистрирован: 25.08.2023(UTC)
Сообщений: 21
Российская Федерация
Откуда: Ставрополь

Сказал(а) «Спасибо»: 4 раз
Поблагодарили: 1 раз в 1 постах
Цитата:
От использования более новых/ актуальных версий СКЗИ, что Вас удерживает?

Если честно, то ничего, просто посоветовали использовать данную версию.
А в более актуальной версии СКЗИ, интересно, присутствует файл Attribute.h?
Offline nickm  
#15 Оставлено : 25 августа 2023 г. 11:02:02(UTC)
nickm

Статус: Активный участник

Группы: Участники
Зарегистрирован: 31.05.2016(UTC)
Сообщений: 1,954

Сказал(а) «Спасибо»: 480 раз
Поблагодарили: 332 раз в 313 постах
Автор: EgorKenk Перейти к цитате
А в более актуальной версии СКЗИ, интересно, присутствует файл Attribute.h?

Присутствует, в той же сертифицированной "КриптоПро CSP 5.0 R2 (сборка 5.0.12000 Kraken)".

Он и в "КриптоПро CSP 5.0 R1 (сборка 5.0.11455 Fury)" присутствует, только почему-то каталогом выше находится.

Как вариант, можно скопировать его в требуемую директорию, и проверить сборку:
Код:
cp /opt/cprocsp/include/pki/Attribute.h /opt/cprocsp/include/pki/asn1/Attribute.h




thanks 1 пользователь поблагодарил nickm за этот пост.
EgorKenk оставлено 25.08.2023(UTC)
Offline EgorKenk  
#16 Оставлено : 25 августа 2023 г. 11:19:04(UTC)
EgorKenk

Статус: Участник

Группы: Участники
Зарегистрирован: 25.08.2023(UTC)
Сообщений: 21
Российская Федерация
Откуда: Ставрополь

Сказал(а) «Спасибо»: 4 раз
Поблагодарили: 1 раз в 1 постах
Спасибо большое, скопировал файл, все получилось!
RSS Лента  Atom Лента
Пользователи, просматривающие эту тему
2 Страницы<12
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.